## iris stage-0.1.6

=== requirements.txt ===
boto3>=1.9.126
PyYAML>=5.3.1
service>=0.6.0

## iris 0.12-1

=== debian/changelog ===
iris (0.12-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Sat, 17 Apr 2004 23:17:28 +0200

iris (0.11-5) unstable; urgency=low

  * Update to Debian Policy 3.6.1
  * Build-Depends on xlibs-static-pic
  * Use debhelper compat 4

 -- Cédric Delfosse <cedric@debian.org>  Tue, 24 Feb 2004 22:23:10 +0100

iris (0.11-4) unstable; urgency=low

  * Update to Debian Policy 3.6.0
  * Rebuilt against xlibmesa3-gl, because xlibmesa3 is now in oldlibs
  * Changed xlibmesa-dev to xlibmesa-gl-dev in Build-Depends
  * Added autotools-dev to Build-Depends
  * Some changes in debian/rules

 -- Cédric Delfosse <cedric@debian.org>  Fri,  8 Aug 2003 19:22:37 +0200

iris (0.11-3) unstable; urgency=low

  * Deference symbolic link in source (closes: Bug#168297)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 10 Nov 2002 21:50:41 +0100

iris (0.11-2) unstable; urgency=low

  * Correction of the build-dep : add xlibs-pic package and link with libXxf86vm_pic (closes: Bug#168047)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  7 Nov 2002 20:51:54 +0100

iris (0.11-1) unstable; urgency=low

  * New upstream version
  * Update to Debian Policy 3.5.7

 -- Cédric Delfosse <cedric@debian.org>  Fri, 11 Oct 2002 19:19:12 +0200

iris (0.10-1) unstable; urgency=low

  * New upstream version

 -- Cédric Delfosse <cedric@debian.org>  Thu, 16 May 2002 22:02:58 +0200

iris (0.9-1) unstable; urgency=low

  * Initial Release (closes: Bug#139338)

 -- Cédric Delfosse <cdelfosse@free.fr>  Sun, 13 Jan 2002 12:31:49 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: iris
Section: sound
Priority: optional
Maintainer: Cdric Delfosse <cedric@debian.org>
Build-Depends: debhelper (>= 4), xmms-dev (>= 1.2.9), xlibmesa-gl-dev, xlibs-static-pic, autotools-dev
Standards-Version: 3.6.1

Package: xmms-iris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced OpenGL visualization plugin for XMMS
 Iris is an OpenGL plugin for XMMS with beat detection, fullscreen
 modes, different themes and a lot of options.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	cp /usr/share/misc/config.sub /usr/share/misc/config.guess .

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(INSTALL_PROGRAM)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	touch configure-stamp

build: build-stamp

build-stamp: configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean config.sub config.guess

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles usr/lib/xmms/Visualization/libiris.so

	dh_installdocs -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## iris 0.12-1ubuntu1

=== debian/changelog ===
iris (0.12-1ubuntu1) hoary; urgency=low

  * added libxxf86vm-dev to Build-Depends.

 -- Daniel Holbach <dh@mailempfang.de>  Fri,  8 Apr 2005 01:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Cdric Delfosse <cedric@debian.org>
-Build-Depends: debhelper (>= 4), xmms-dev (>= 1.2.9), xlibmesa-gl-dev, xlibs-static-pic, autotools-dev
+Build-Depends: debhelper (>= 4), xmms-dev (>= 1.2.9), xlibmesa-gl-dev, xlibs-static-pic, autotools-dev, libxxf86vm-dev
 Standards-Version: 3.6.1
 
 Package: xmms-iris

## iris 0.12-1ubuntu2

=== debian/changelog ===
iris (0.12-1ubuntu2) breezy; urgency=low

  * gl transition: updated build-depends gl related packages
  * debian/control: 
    -added homepage to description
    -updated Standards-Version to 3.6.2

 -- Loic Pefferkorn <loic@dev.erodia.net>  Fri,  2 Sep 2005 18:52:40 +0200

=== debian/control ===
Source: iris
Section: sound
Priority: optional
Maintainer: Cdric Delfosse <cedric@debian.org>
Build-Depends: debhelper (>= 4), xmms-dev (>= 1.2.9), libgl1-mesa-dev | libgl-dev, xlibs-static-pic, autotools-dev, libxxf86vm-dev
Standards-Version: 3.6.2

Package: xmms-iris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced OpenGL visualization plugin for XMMS
 Iris is an OpenGL plugin for XMMS with beat detection, fullscreen
 modes, different themes and a lot of options.
 .
 Homepage http://cdelfosse.free.fr/xmms-iris/
